    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------------------
    028     * IntervalCategoryDataset.java
    029     * ----------------------------
    030     * (C) Copyright 2002-2004, by Eduard Martinescu and Contributors.
    031     *
    032     * Original Author:  Eduard Martinescu;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: IntervalCategoryDataset.java,v 1.2.2.1 2005/10/25 21:29:58 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 19-Mar-2002 : Version 1 contributed by Eduard Martinescu.  The interface
    040     *               name and method names have been renamed to be consistent with
    041     *               existing interfaces (DG);
    042     * 06-Jun-2002 : Updated Javadoc comments (DG);
    043     * 24-Oct-2002 : Categories and series are now indexed by int or Comparable,
    044     *               following changes made to the CategoryDataset interface (DG);
    045     *
    046     */
    047
    048    package org.jfree.data.category;
    049
    050
    051    /**
    052     * A category dataset that defines a value range for each series/category
    053     * combination.
    054     *
    055     * @author Eduard Martinescu
    056     */
    057    public interface IntervalCategoryDataset extends CategoryDataset {
    058
    059        /**
    060         * Returns the start value for the interval for a given series and category.
    061         *
    062         * @param series  the series (zero-based index).
    063         * @param category  the category (zero-based index).
    064         *
    065         * @return The start value (possibly <code>null</code>).
    066         */
    067        public Number getStartValue(int series, int category);
    068
    069        /**
    070         * Returns the start value for the interval for a given series and category.
    071         *
    072         * @param series  the series key.
    073         * @param category  the category key.
    074         *
    075         * @return The start value (possibly <code>null</code>).
    076         */
    077        public Number getStartValue(Comparable series, Comparable category);
    078
    079        /**
    080         * Returns the end value for the interval for a given series and category.
    081         *
    082         * @param series  the series (zero-based index).
    083         * @param category  the category (zero-based index).
    084         *
    085         * @return The end value (possibly <code>null</code>).
    086         */
    087        public Number getEndValue(int series, int category);
    088
    089        /**
    090         * Returns the end value for the interval for a given series and category.
    091         *
    092         * @param series  the series key.
    093         * @param category  the category key.
    094         *
    095         * @return The end value (possibly <code>null</code>).
    096         */
    097        public Number getEndValue(Comparable series, Comparable category);
    098
    099    }